import 'package:flutter_test/flutter_test.dart';
import 'package:generate_unique_numbers/generate_unique_numbers.dart';

void main() {
  test('test generate numbers', () {
    expect(10, generateUniqueNumbers(numberCount: 10, max: 100).length);
    expect(100, generateUniqueNumbers(numberCount: 100, max: 500).length);
    expect(1000, generateUniqueNumbers(numberCount: 1000, max: 1000).length);
  });

  test('test generate numbers | 1000 cycle', () {
    for (int a = 1; a < 1000; a++) {
      expect(10, generateUniqueNumbers(numberCount: 10, max: 100).length);
    }
  });
}
